<template>
  <mySearch :list="list" @queryClick="handleQuery" />
</template>
<script setup>
import { ref } from "vue";
import mySearch from "@/components/mycomponents/mySearch.vue";
let list = ref([
  {
    label: "设备名称",
    type: "input",
    prop: "keywords",
    attrs: {
      placeholder: "请输入设备名称",
      clearable: true,
      style: {
        width: "200px",
      },
    },
  },
  {
    type: "select",
    label: "设备类型",
    prop: "keywords2",
    options: [
      { label: "全部", value: 0 },
      { label: "全部2", value: 1 },
    ],
    attrs: {
      placeholder: "请选择设备类型",
      clearable: true,
      style: {
        width: "200px",
      },
    },
  },
]);
const emit = defineEmits(["queryClick"]);
// 搜索-重置
function handleQuery(d) {
  emit("queryClick", d);
}
</script>
